summaryrefslogtreecommitdiffstats
path: root/source/a
diff options
context:
space:
mode:
Diffstat (limited to '')
-rw-r--r--source/a/grub/0004-add-GRUB_DISABLE_KERNEL_SYMLINKS-variable.patch12
-rw-r--r--source/a/grub/0004-initrd_fallback_name.patch24
-rw-r--r--source/a/grub/0005-GRUB_DISPLAY_KERNEL_FILETYPES.patch32
-rw-r--r--source/a/grub/10_linux.disable_kernel_symlinks.patch15
-rw-r--r--source/a/grub/etc.default.grub13
-rwxr-xr-xsource/a/grub/grub.SlackBuild20
-rw-r--r--source/a/grub/initrd_naming.patch13
-rwxr-xr-xsource/ap/vim/vim-gvim.SlackBuild2
-rwxr-xr-xsource/ap/vim/vim.SlackBuild2
9 files changed, 76 insertions, 57 deletions
diff --git a/source/a/grub/0004-add-GRUB_DISABLE_KERNEL_SYMLINKS-variable.patch b/source/a/grub/0004-add-GRUB_DISABLE_KERNEL_SYMLINKS-variable.patch
deleted file mode 100644
index d49925ae1..000000000
--- a/source/a/grub/0004-add-GRUB_DISABLE_KERNEL_SYMLINKS-variable.patch
+++ /dev/null
@@ -1,12 +0,0 @@
---- ./util/grub-mkconfig.in.orig 2022-11-14 09:52:54.000000000 -0600
-+++ ./util/grub-mkconfig.in 2024-06-26 12:44:00.986119802 -0500
-@@ -255,7 +255,8 @@
- GRUB_ENABLE_CRYPTODISK \
- GRUB_BADRAM \
- GRUB_OS_PROBER_SKIP_LIST \
-- GRUB_DISABLE_SUBMENU
-+ GRUB_DISABLE_SUBMENU \
-+ GRUB_DISABLE_KERNEL_SYMLINKS
-
- if test "x${grub_cfg}" != "x"; then
- rm -f "${grub_cfg}.new"
diff --git a/source/a/grub/0004-initrd_fallback_name.patch b/source/a/grub/0004-initrd_fallback_name.patch
new file mode 100644
index 000000000..4c8efcdcb
--- /dev/null
+++ b/source/a/grub/0004-initrd_fallback_name.patch
@@ -0,0 +1,24 @@
+--- ./util/grub.d/10_linux.in.orig 2024-07-30 15:28:52.790956089 -0500
++++ ./util/grub.d/10_linux.in 2024-07-30 15:33:20.145303738 -0500
+@@ -235,7 +235,8 @@
+ "initramfs-genkernel-${version}" \
+ "initramfs-genkernel-${alt_version}" \
+ "initramfs-genkernel-${GENKERNEL_ARCH}-${version}" \
+- "initramfs-genkernel-${GENKERNEL_ARCH}-${alt_version}"; do
++ "initramfs-genkernel-${GENKERNEL_ARCH}-${alt_version}" \
++ "$GRUB_INITRD_FALLBACK_NAME" ; do
+ if test -e "${dirname}/${i}" ; then
+ initrd_real="${i}"
+ break
+--- ./util/grub-mkconfig.in.orig 2024-07-30 15:28:52.787956085 -0500
++++ ./util/grub-mkconfig.in 2024-07-30 15:35:55.115501711 -0500
+@@ -262,7 +262,8 @@
+ GRUB_ENABLE_CRYPTODISK \
+ GRUB_BADRAM \
+ GRUB_OS_PROBER_SKIP_LIST \
+- GRUB_DISABLE_SUBMENU
++ GRUB_DISABLE_SUBMENU \
++ GRUB_INITRD_FALLBACK_NAME
+
+ if test "x${grub_cfg}" != "x"; then
+ rm -f "${grub_cfg}.new"
diff --git a/source/a/grub/0005-GRUB_DISPLAY_KERNEL_FILETYPES.patch b/source/a/grub/0005-GRUB_DISPLAY_KERNEL_FILETYPES.patch
new file mode 100644
index 000000000..1b9b8105f
--- /dev/null
+++ b/source/a/grub/0005-GRUB_DISPLAY_KERNEL_FILETYPES.patch
@@ -0,0 +1,32 @@
+--- ./util/grub.d/10_linux.in.orig 2024-07-30 15:48:29.942595025 -0500
++++ ./util/grub.d/10_linux.in 2024-07-30 15:55:59.637592488 -0500
+@@ -209,6 +209,17 @@
+
+ is_top_level=true
+ for linux in ${reverse_sorted_list}; do
++
++ # Skip symbolic links to kernels if requested:
++ if [ -L "$linux" -a "$GRUB_DISPLAY_KERNEL_FILETYPES" = "files" ]; then
++ continue
++ fi
++
++ # Skip kernels that are files rather than symbolic links if requested:
++ if [ ! -L "$linux" -a "$GRUB_DISPLAY_KERNEL_FILETYPES" = "symlinks" ]; then
++ continue
++ fi
++
+ gettext_printf "Found linux image: %s\n" "$linux" >&2
+ basename=`basename $linux`
+ dirname=`dirname $linux`
+--- ./util/grub-mkconfig.in.orig 2024-07-30 15:48:29.985595129 -0500
++++ ./util/grub-mkconfig.in 2024-07-30 15:51:12.083974196 -0500
+@@ -263,7 +263,8 @@
+ GRUB_BADRAM \
+ GRUB_OS_PROBER_SKIP_LIST \
+ GRUB_DISABLE_SUBMENU \
+- GRUB_INITRD_FALLBACK_NAME
++ GRUB_INITRD_FALLBACK_NAME \
++ GRUB_DISPLAY_KERNEL_FILETYPES
+
+ if test "x${grub_cfg}" != "x"; then
+ rm -f "${grub_cfg}.new"
diff --git a/source/a/grub/10_linux.disable_kernel_symlinks.patch b/source/a/grub/10_linux.disable_kernel_symlinks.patch
deleted file mode 100644
index f35e671c6..000000000
--- a/source/a/grub/10_linux.disable_kernel_symlinks.patch
+++ /dev/null
@@ -1,15 +0,0 @@
---- ./util/grub.d/10_linux.in.orig 2024-07-25 00:18:12.270876545 -0500
-+++ ./util/grub.d/10_linux.in 2024-07-25 00:21:10.292942662 -0500
-@@ -209,6 +209,12 @@
-
- is_top_level=true
- for linux in ${reverse_sorted_list}; do
-+
-+ # Skip symbolic links to kernels if requested:
-+ if [ -L "$linux" -a "$GRUB_DISABLE_KERNEL_SYMLINKS" = "true" ]; then
-+ continue
-+ fi
-+
- gettext_printf "Found linux image: %s\n" "$linux" >&2
- basename=`basename $linux`
- dirname=`dirname $linux`
diff --git a/source/a/grub/etc.default.grub b/source/a/grub/etc.default.grub
index 83fa11708..a44846a3d 100644
--- a/source/a/grub/etc.default.grub
+++ b/source/a/grub/etc.default.grub
@@ -37,8 +37,11 @@ GRUB_DISABLE_OS_PROBER="false"
# Disable the submenus:
GRUB_DISABLE_SUBMENU="true"
-# This option skips making menu entries for the symbolic links to kernels.
-# Some folks don't like the extra (redundant) menu entries, while others
-# like having an unversioned menu entry that doesn't require "update-grub"
-# after installing new kernels. Your call.
-#GRUB_DISABLE_KERNEL_SYMLINKS="true"
+# What kernel filetypes to display in the menu. This may be set to "files"
+# (only display kernels that are files), "symlinks" (only display kernels
+# that are symbolic links), or "both".
+GRUB_DISPLAY_KERNEL_FILETYPES=both
+
+# This option allows defining an initrd name that will match any kernel as a
+# fallback if no other matching initrd is found. You may use any name you like.
+#GRUB_INITRD_FALLBACK_NAME=initrd.gz
diff --git a/source/a/grub/grub.SlackBuild b/source/a/grub/grub.SlackBuild
index e230301a1..eea2d3733 100755
--- a/source/a/grub/grub.SlackBuild
+++ b/source/a/grub/grub.SlackBuild
@@ -28,7 +28,7 @@ PKGNAM=grub
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
# Better to use _ than ~ in the package filenames version:
PKGVER=$(echo $VERSION | tr '~' '_')
-BUILD=${BUILD:-14}
+BUILD=${BUILD:-15}
# If you use stack-protector, then grub will not work with legacy BIOS:
STACKPROTECT=${STACKPROTECT:---enable-stack-protector=no}
@@ -89,9 +89,6 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
-# Accept /boot/initrd.gz as a valid initrd name (obsolete?):
-cat $CWD/initrd_naming.patch | patch -p1 --verbose || exit 1
-
# Support DejaVuSansMono font (dejavusansmono.pf2) by default:
cat $CWD/grub.dejavusansmono.gfxterm.font.diff | patch -p1 --verbose || exit 1
@@ -107,18 +104,21 @@ cat $CWD/0001-00_header-add-GRUB_COLOR_-variables.patch | patch -p1 --verbose ||
# Also from Arch, support drop-in config bits in /etc/default/grub.d/:
cat $CWD/0003-support-dropins-for-default-configuration.patch | patch -p1 --verbose || exit 1
-# Support GRUB_DISABLE_KERNEL_SYMLINKS variable in /etc/default/grub.
-# If this is not defined, it is assumed to be false.
-cat $CWD/0004-add-GRUB_DISABLE_KERNEL_SYMLINKS-variable.patch | patch -p1 --verbose || exit 1
-
# Fix 2.12 release with upstream commit (won't compile otherwise):
cat $CWD/b835601c7639ed1890f2d3db91900a8506011a8e.patch | patch -p1 --verbose || exit 1
# For Slackware, opt-out of having our operating system renamed:
cat $CWD/10_linux.osname.patch | patch -p1 --verbose || exit 1
-# Skip symlinks to kernels according to GRUB_DISABLE_KERNEL_SYMLINKS:
-cat $CWD/10_linux.disable_kernel_symlinks.patch | patch -p1 --verbose || exit 1
+# Allow defining an initrd fallback name with the
+# GRUB_INITRD_FALLBACK_NAME variable in /etc/default/grub.
+# Commented out by default.
+cat $CWD/0004-initrd_fallback_name.patch | patch -p1 --verbose || exit 1
+
+# Support displaying only kernels that are files, only kernels that are
+# symlinks, or both. This is set with the GRUB_DISPLAY_KERNEL_FILETYPES
+# variable in /etc/default/grub:
+cat $CWD/0005-GRUB_DISPLAY_KERNEL_FILETYPES.patch | patch -p1 --verbose || exit 1
# Still won't compile. Someday they'll remember how to cut a new release.
touch grub-core/extra_deps.lst
diff --git a/source/a/grub/initrd_naming.patch b/source/a/grub/initrd_naming.patch
deleted file mode 100644
index 6b62778b0..000000000
--- a/source/a/grub/initrd_naming.patch
+++ /dev/null
@@ -1,13 +0,0 @@
-diff -Naur grub-2.00.orig/util/grub.d/10_linux.in grub-2.00/util/grub.d/10_linux.in
---- grub-2.00.orig/util/grub.d/10_linux.in 2012-04-18 23:24:38.000000000 +0200
-+++ grub-2.00/util/grub.d/10_linux.in 2012-06-30 07:53:03.765625589 +0200
-@@ -198,7 +198,8 @@
- "initramfs-genkernel-${version}" \
- "initramfs-genkernel-${alt_version}" \
- "initramfs-genkernel-${GENKERNEL_ARCH}-${version}" \
-- "initramfs-genkernel-${GENKERNEL_ARCH}-${alt_version}"; do
-+ "initramfs-genkernel-${GENKERNEL_ARCH}-${alt_version}" \
-+ "initrd.gz"; do
- if test -e "${dirname}/${i}" ; then
- initrd="$i"
- break
diff --git a/source/ap/vim/vim-gvim.SlackBuild b/source/ap/vim/vim-gvim.SlackBuild
index 44b11e81d..4e36cc5f6 100755
--- a/source/ap/vim/vim-gvim.SlackBuild
+++ b/source/ap/vim/vim-gvim.SlackBuild
@@ -43,7 +43,7 @@ LUAINTERP=${LUAINTERP:-dynamic}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) export ARCH=i586 ;;
+ i?86) export ARCH=i686 ;;
arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
*) export ARCH=$( uname -m ) ;;
diff --git a/source/ap/vim/vim.SlackBuild b/source/ap/vim/vim.SlackBuild
index 9897abc4a..bbecce85f 100755
--- a/source/ap/vim/vim.SlackBuild
+++ b/source/ap/vim/vim.SlackBuild
@@ -53,7 +53,7 @@ fi
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) export ARCH=i586 ;;
+ i?86) export ARCH=i686 ;;
arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
*) export ARCH=$( uname -m ) ;;